Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
published on Thursday, Oct 22, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
published on Thursday, Oct 22, 2026 by Pulumi
This data source provides the list of Subsetting Policy Subsetting Schema Objects in Oracle Cloud Infrastructure Data Safe service.
Gets a list of objects/tables present in the specified subsetting policy schemas based on the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicySubsettingSchemaObjects = oci.datasafe.getSubsettingPolicySubsettingSchemaObjects({
subsettingPolicyId: testSubsettingPolicy.id,
objects: subsettingPolicySubsettingSchemaObjectObject,
schemaNames: subsettingPolicySubsettingSchemaObjectSchemaName,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policy_subsetting_schema_objects = oci.datasafe.get_subsetting_policy_subsetting_schema_objects(subsetting_policy_id=test_subsetting_policy["id"],
objects=subsetting_policy_subsetting_schema_object_object,
schema_names=subsetting_policy_subsetting_schema_object_schema_name)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicySubsettingSchemaObjects(ctx, &datasafe.GetSubsettingPolicySubsettingSchemaObjectsArgs{
SubsettingPolicyId: testSubsettingPolicy.Id,
Objects: subsettingPolicySubsettingSchemaObjectObject,
SchemaNames: subsettingPolicySubsettingSchemaObjectSchemaName,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicySubsettingSchemaObjects = Oci.DataSafe.GetSubsettingPolicySubsettingSchemaObjects.Invoke(new()
{
SubsettingPolicyId = testSubsettingPolicy.Id,
Objects = subsettingPolicySubsettingSchemaObjectObject,
SchemaNames = subsettingPolicySubsettingSchemaObjectSchemaName,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingSchemaObjectsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicySubsettingSchemaObjects = DataSafeFunctions.getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs.builder()
.subsettingPolicyId(testSubsettingPolicy.get("id"))
.objects(subsettingPolicySubsettingSchemaObjectObject)
.schemaNames(subsettingPolicySubsettingSchemaObjectSchemaName)
.build());
}
}
variables:
testSubsettingPolicySubsettingSchemaObjects:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicySubsettingSchemaObjects
arguments:
subsettingPolicyId: ${testSubsettingPolicy.id}
objects: ${subsettingPolicySubsettingSchemaObjectObject}
schemaNames: ${subsettingPolicySubsettingSchemaObjectSchemaName}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_data_safe_subsetting_policy_subsetting_schema_objects" "testSubsettingPolicySubsettingSchemaObjects" {
subsetting_policy_id = testSubsettingPolicy.id
objects = subsettingPolicySubsettingSchemaObjectObject
schema_names = subsettingPolicySubsettingSchemaObjectSchemaName
}
Using getSubsettingPolicySubsettingSchemaObjects
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicySubsettingSchemaObjects(args: GetSubsettingPolicySubsettingSchemaObjectsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingSchemaObjectsResult>
function getSubsettingPolicySubsettingSchemaObjectsOutput(args: GetSubsettingPolicySubsettingSchemaObjectsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingSchemaObjectsResult>def get_subsetting_policy_subsetting_schema_objects(filters: Optional[Sequence[GetSubsettingPolicySubsettingSchemaObjectsFilter]] = None,
objects: Optional[Sequence[str]] = None,
schema_names: Optional[Sequence[str]] = None,
subsetting_policy_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingSchemaObjectsResult
def get_subsetting_policy_subsetting_schema_objects_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingSchemaObjectsFilterArgs]]]] = None,
objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingSchemaObjectsResult]func GetSubsettingPolicySubsettingSchemaObjects(ctx *Context, args *GetSubsettingPolicySubsettingSchemaObjectsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingSchemaObjectsResult, error)
func GetSubsettingPolicySubsettingSchemaObjectsOutput(ctx *Context, args *GetSubsettingPolicySubsettingSchemaObjectsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingSchemaObjectsResultOutput> Note: This function is named GetSubsettingPolicySubsettingSchemaObjects in the Go SDK.
public static class GetSubsettingPolicySubsettingSchemaObjects
{
public static Task<GetSubsettingPolicySubsettingSchemaObjectsResult> InvokeAsync(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> Invoke(GetSubsettingPolicySubsettingSchemaObjectsInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> Invoke(GetSubsettingPolicySubsettingSchemaObjectsInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicySubsettingSchemaObjects:getSubsettingPolicySubsettingSchemaObjects
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policy_subsetting_schema_objects" "name" {
# arguments
}The following arguments are supported:
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
List<Get
Subsetting Policy Subsetting Schema Objects Filter> - Objects List<string>
- A filter to return only items related to a specific object name.
- Schema
Names List<string> - A filter to return only items related to specific schema name.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
[]Get
Subsetting Policy Subsetting Schema Objects Filter - Objects []string
- A filter to return only items related to a specific object name.
- Schema
Names []string - A filter to return only items related to specific schema name.
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- filters list(object)
- objects list(string)
- A filter to return only items related to a specific object name.
- schema_
names list(string) - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters
List<Get
Subsetting Policy Subsetting Schema Objects Filter> - objects List<String>
- A filter to return only items related to a specific object name.
- schema
Names List<String> - A filter to return only items related to specific schema name.
- subsetting
Policy stringId - The OCID of the subsetting policy.
- filters
Get
Subsetting Policy Subsetting Schema Objects Filter[] - objects string[]
- A filter to return only items related to a specific object name.
- schema
Names string[] - A filter to return only items related to specific schema name.
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- filters
Sequence[Get
Subsetting Policy Subsetting Schema Objects Filter] - objects Sequence[str]
- A filter to return only items related to a specific object name.
- schema_
names Sequence[str] - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters List<Property Map>
- objects List<String>
- A filter to return only items related to a specific object name.
- schema
Names List<String> - A filter to return only items related to specific schema name.
getSubsettingPolicySubsettingSchemaObjects Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Schema List<GetObject Collections Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection> - The list of subsetting_schema_object_collection.
- Filters
List<Get
Subsetting Policy Subsetting Schema Objects Filter> - Objects List<string>
- The name of the database object
- Schema
Names List<string> - The database schema that contains the subsetting table
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Schema []GetObject Collections Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection - The list of subsetting_schema_object_collection.
- Filters
[]Get
Subsetting Policy Subsetting Schema Objects Filter - Objects []string
- The name of the database object
- Schema
Names []string - The database schema that contains the subsetting table
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ stringid - subsetting_
schema_ list(object)object_ collections - The list of subsetting_schema_object_collection.
- filters list(object)
- objects list(string)
- The name of the database object
- schema_
names list(string) - The database schema that contains the subsetting table
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Schema List<GetObject Collections Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection> - The list of subsetting_schema_object_collection.
- filters
List<Get
Subsetting Policy Subsetting Schema Objects Filter> - objects List<String>
- The name of the database object
- schema
Names List<String> - The database schema that contains the subsetting table
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy stringId - subsetting
Schema GetObject Collections Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection[] - The list of subsetting_schema_object_collection.
- filters
Get
Subsetting Policy Subsetting Schema Objects Filter[] - objects string[]
- The name of the database object
- schema
Names string[] - The database schema that contains the subsetting table
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ strid - subsetting_
schema_ Sequence[Getobject_ collections Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection] - The list of subsetting_schema_object_collection.
- filters
Sequence[Get
Subsetting Policy Subsetting Schema Objects Filter] - objects Sequence[str]
- The name of the database object
- schema_
names Sequence[str] - The database schema that contains the subsetting table
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Schema List<Property Map>Object Collections - The list of subsetting_schema_object_collection.
- filters List<Property Map>
- objects List<String>
- The name of the database object
- schema
Names List<String> - The database schema that contains the subsetting table
Supporting Types
GetSubsettingPolicySubsettingSchemaObjectsFilter
GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection
- Items
List<Get
Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection Item> - An array of subsetting table summary objects
- Items
[]Get
Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection Item - An array of subsetting table summary objects
- items list(object)
- An array of subsetting table summary objects
- items
List<Get
Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection Item> - An array of subsetting table summary objects
- items
Get
Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection Item[] - An array of subsetting table summary objects
- items
Sequence[Get
Subsetting Policy Subsetting Schema Objects Subsetting Schema Object Collection Item] - An array of subsetting table summary objects
- items List<Property Map>
- An array of subsetting table summary objects
GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollectionItem
- Initial
Row stringCount - The initial number of rows in this object/table
- Is
Stats boolStale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- Key string
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- Object string
- A filter to return only items related to a specific object name.
- Object
Type string - The type of the database object that contains the subsetting table
- Schema
Name string - A filter to return only items related to specific schema name.
- Time
Created string - The date and time the subsetting table was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- Initial
Row stringCount - The initial number of rows in this object/table
- Is
Stats boolStale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- Key string
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- Object string
- A filter to return only items related to a specific object name.
- Object
Type string - The type of the database object that contains the subsetting table
- Schema
Name string - A filter to return only items related to specific schema name.
- Time
Created string - The date and time the subsetting table was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- initial_
row_ stringcount - The initial number of rows in this object/table
- is_
stats_ boolstale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- key string
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- object string
- A filter to return only items related to a specific object name.
- object_
type string - The type of the database object that contains the subsetting table
- schema_
name string - A filter to return only items related to specific schema name.
- time_
created string - The date and time the subsetting table was created, in the format defined by RFC3339.
- time_
updated string - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- initial
Row StringCount - The initial number of rows in this object/table
- is
Stats BooleanStale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- key String
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- object String
- A filter to return only items related to a specific object name.
- object
Type String - The type of the database object that contains the subsetting table
- schema
Name String - A filter to return only items related to specific schema name.
- time
Created String - The date and time the subsetting table was created, in the format defined by RFC3339.
- time
Updated String - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- initial
Row stringCount - The initial number of rows in this object/table
- is
Stats booleanStale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- key string
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- object string
- A filter to return only items related to a specific object name.
- object
Type string - The type of the database object that contains the subsetting table
- schema
Name string - A filter to return only items related to specific schema name.
- time
Created string - The date and time the subsetting table was created, in the format defined by RFC3339.
- time
Updated string - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- initial_
row_ strcount - The initial number of rows in this object/table
- is_
stats_ boolstale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- key str
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- object str
- A filter to return only items related to a specific object name.
- object_
type str - The type of the database object that contains the subsetting table
- schema_
name str - A filter to return only items related to specific schema name.
- time_
created str - The date and time the subsetting table was created, in the format defined by RFC3339.
- time_
updated str - The date and time the subsetting table was last updated, in the format defined by RFC3339.
- initial
Row StringCount - The initial number of rows in this object/table
- is
Stats BooleanStale - Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
- key String
- The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
- object String
- A filter to return only items related to a specific object name.
- object
Type String - The type of the database object that contains the subsetting table
- schema
Name String - A filter to return only items related to specific schema name.
- time
Created String - The date and time the subsetting table was created, in the format defined by RFC3339.
- time
Updated String - The date and time the subsetting table was last updated, in the format defined by RFC3339.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
published on Thursday, Oct 22, 2026 by Pulumi